import 'package:flutter/material.dart';

import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class ActivityButtonStartNew extends StatelessWidget {
  const ActivityButtonStartNew({
    super.key,
    required this.onPressed,
    this.onLongPress,
  });

  final VoidCallback? onPressed;
  final VoidCallback? onLongPress;

  @override
  Widget build(BuildContext context) {
    return StyledButton.icon(
      color: Colors.blue,
      onPressed: onPressed,
      onLongPress: onLongPress,
      icon: const Icon(UniconsLine.play),
    );
  }
}
